Generic Image Library: copy_and_convert_pixels

###  | #  |

Functions
copy_and_convert_pixels
Image View » Algorithms and Utility Functions » STL-like Algorithms

copies src view into dst view, color converting if necessary. More...

## Functions
template<typename V1 , typename V2 , typename CC >
BOOST_FORCEINLINE void | copy_and_convert_pixels (const V1 &src, const V2 &dst, CC cc)
template<typename View1 , typename View2 >
BOOST_FORCEINLINE void | copy_and_convert_pixels (const View1 &src, const View2 &dst)
template<typename ... Types, typename View , typename CC >
void | copy_and_convert_pixels (any_image_view< Types... > const &src, View const &dst, CC cc)
template<typename ... Types, typename View >
void | copy_and_convert_pixels (any_image_view< Types... > const &src, View const &dst)
template<typename View , typename ... Types, typename CC >
void | copy_and_convert_pixels (View const &src, any_image_view< Types... > const &dst, CC cc)
template<typename View , typename ... Types>
void | copy_and_convert_pixels (View const &src, any_image_view< Types... > const &dst)
template<typename ... Types1, typename ... Types2, typename CC >
void | copy_and_convert_pixels (any_image_view< Types1... > const &src, any_image_view< Types2... > const &dst, CC cc)
template<typename ... Types1, typename ... Types2>
void | copy_and_convert_pixels (any_image_view< Types1... > const &src, any_image_view< Types2... > const &dst)

## Detailed Description

copies src view into dst view, color converting if necessary.

Versions taking static and runtime views are provided. Versions taking user-defined color convered are provided.

## Function Documentation

## ◆ copy_and_convert_pixels() [1/6]

template<typename ... Types, typename View >

void copy_and_convert_pixels | ( | any_image_view< Types... > const & | src,
|  | View const & | dst )

Template Parameters

  Types | Model Boost.MP11-compatible list of models of ImageViewConcept
  View | Model MutableImageViewConcept

## ◆ copy_and_convert_pixels() [2/6]

template<typename ... Types, typename View , typename CC >

void copy_and_convert_pixels | ( | any_image_view< Types... > const & | src,
|  | View const & | dst,
|  | CC | cc )

Template Parameters

  Types | Model Boost.MP11-compatible list of models of ImageViewConcept
  View | Model MutableImageViewConcept
  CC | Model ColorConverterConcept

## ◆ copy_and_convert_pixels() [3/6]

template<typename ... Types1, typename ... Types2>

void copy_and_convert_pixels | ( | any_image_view< Types1... > const & | src,
|  | any_image_view< Types2... > const & | dst )

Template Parameters

  Types1 | Model Boost.MP11-compatible list of models of ImageViewConcept
  Types2 | Model Boost.MP11-compatible list of models of MutableImageViewConcept

## ◆ copy_and_convert_pixels() [4/6]

template<typename ... Types1, typename ... Types2, typename CC >

void copy_and_convert_pixels | ( | any_image_view< Types1... > const & | src,
|  | any_image_view< Types2... > const & | dst,
|  | CC | cc )

Template Parameters

  Types1 | Model Boost.MP11-compatible list of models of ImageViewConcept
  Types2 | Model Boost.MP11-compatible list of models of MutableImageViewConcept
  CC | Model ColorConverterConcept

## ◆ copy_and_convert_pixels() [5/6]

template<typename View , typename ... Types>

void copy_and_convert_pixels | ( | View const & | src,
|  | any_image_view< Types... > const & | dst )

Template Parameters

  View | Model ImageViewConcept
  Type | Model Boost.MP11-compatible list of models of MutableImageViewConcept

## ◆ copy_and_convert_pixels() [6/6]

template<typename View , typename ... Types, typename CC >

void copy_and_convert_pixels | ( | View const & | src,
|  | any_image_view< Types... > const & | dst,
|  | CC | cc )

Template Parameters

  View | Model ImageViewConcept
  Types | Model Boost.MP11-compatible list of models of MutableImageViewConcept
  CC | Model ColorConverterConcept